Bug 1293038 - BUG: unable to handle kernel NULL pointer dereference at (null)
BUG: unable to handle kernel NULL pointer dereference at (null)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
24
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-19 09:28 EST by Phea Duch
Modified: 2017-08-08 08:34 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:34:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (69.07 KB, text/plain)
2015-12-19 09:28 EST, Phea Duch
no flags Details

  None (edit)
Description Phea Duch 2015-12-19 09:28:33 EST
Created attachment 1107739 [details]
dmesg

BUG: unable to handle kernel NULL pointer dereference at           (null)
IP: [<          (null)>]           (null)
PGD 28ee1f067 PUD 2b4350067 PMD 0 
Oops: 0010 [#1] SMP 
Modules linked in: rfcomm cmac xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast fuse ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_broute bridge stp llc ebtable_filter ebtable_nat ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep vfat fat snd_hda_codec_hdmi hid_multitouch snd_soc_skl snd_soc_skl_ipc snd_hda_ext_core snd_soc_sst_ipc snd_soc_sst_dsp intel_rapl x86_pkg_temp_thermal snd_soc_core coretemp kvm_intel dell_led kvm snd_compress snd_pcm_dmaengine snd_hda_codec_realtek ac97_bus snd_hda_codec_generic
 dw_dmac_core dell_wmi i2c_designware_platform i2c_designware_core sparse_keymap dell_laptop irqbypass snd_hda_intel brcmfmac dcdbas snd_hda_codec brcmutil snd_hda_core cfg80211 snd_hwdep snd_seq snd_seq_device rtsx_pci_ms snd_pcm memstick uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core snd_timer v4l2_common btusb videodev btrtl snd joydev idma64 media soundcore hci_uart mei_me i2c_i801 mei intel_lpss_pci btbcm processor_thermal_device shpchp btqca intel_soc_dts_iosf iosf_mbi btintel bluetooth wmi pinctrl_sunrisepoint pinctrl_intel rfkill intel_lpss_acpi int3400_thermal intel_lpss int3403_thermal int340x_thermal_zone acpi_thermal_rel acpi_pad acpi_als kfifo_buf industrialio tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt i915 rtsx_pci_sdmmc mmc_core
 i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel drm serio_raw rtsx_pci nvme i2c_hid video fjes
CPU: 0 PID: 2287 Comm: Xwayland Tainted: G     U  W       4.4.0-0.rc5.git1.1.fc24.x86_64 #1
Hardware name: Dell Inc. XPS 13 9350/07TYC2, BIOS 1.0.4 10/19/2015
task: ffff88028ec38000 ti: ffff88028efc0000 task.ti: ffff88028efc0000
RIP: 0010:[<0000000000000000>]  [<          (null)>]           (null)
RSP: 0018:ffff88028efc3b10  EFLAGS: 00010286
RAX: ffff8802b2b64568 RBX: 0000000000000000 RCX: 0000000000003f51
RDX: 0000000000003f51 RSI: ffff8802b2b620d8 RDI: ffff8802738fb000
RBP: ffff88028efc3b98 R08: ffff8802b5048898 R09: 00000000000000a0
R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000001
R13: ffff8802b2b620d8 R14: ffff8802738fb000 R15: ffff8802738fb600
FS:  00007f7a80a2da40(0000) GS:ffff8802c0c00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 000000028ef09000 CR4: 00000000003406f0
Stack:
 ffffffffa01757d4 ffff8802b2b620dc ffff88028efc3bd8 ffff8802b40eed00
 0000000100003f51 ffff8802b2b64568 ffff8802738fb600 ffff8802b2b60000
 0000000000000000 ffff8802b2b64578 ffff88028efc3ba0 000000009f412690
Call Trace:
 [<ffffffffa01757d4>] ? i915_gem_object_sync+0x1e4/0x2d0 [i915]
 [<ffffffffa018808e>] intel_execlists_submission+0x1ce/0x3f0 [i915]
 [<ffffffffa0169146>] i915_gem_do_execbuffer.isra.25+0x1016/0x1310 [i915]
 [<ffffffff813c4c6a>] ? find_next_zero_bit+0x1a/0x20
 [<ffffffff813b16a9>] ? idr_get_empty_slot+0x199/0x3b0
 [<ffffffffa0074394>] ? drm_vma_node_allow+0xa4/0xc0 [drm]
 [<ffffffffa016a072>] i915_gem_execbuffer2+0xb2/0x240 [i915]
 [<ffffffffa005b602>] drm_ioctl+0x152/0x540 [drm]
 [<ffffffffa0169fc0>] ? i915_gem_execbuffer+0x310/0x310 [i915]
 [<ffffffff8133b7ac>] ? selinux_file_ioctl+0x10c/0x1c0
 [<ffffffff8123e4a8>] do_vfs_ioctl+0x298/0x480
 [<ffffffff81333023>] ? security_file_ioctl+0x43/0x60
 [<ffffffff8123e709>] SyS_ioctl+0x79/0x90
 [<ffffffff81798e6e>] entry_SYSCALL_64_fastpath+0x12/0x71
Code:  Bad RIP value.
RIP  [<          (null)>]           (null)
 RSP <ffff88028efc3b10>
CR2: 0000000000000000
---[ end trace f0541a2f9886568c ]---
abrt-dump-journal-oops: Found oopses: 1
abrt-dump-journal-oops: Creating problem directories
Deleting problem directory oops-2015-12-19-08:21:23-1532-0 (dup of oops-2015-11-26-11:04:17-1431-0)
[system] Activating service name='org.freedesktop.problems' (using servicehelper)
[system] Successfully activated service 'org.freedesktop.problems'
Reported 1 kernel oopses to Abrt

BOOT_IMAGE=/vmlinuz-4.4.0-0.rc5.git1.1.fc24.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-0ae4f23d-42c1-41d8-b6cc-ce1a7fbbff0c rd.lvm.lv=fedora/swap LANG=en_US.UTF-8 i915.enable_execlists=0 i915.preliminary_hw_support=1

Additional info:

Same crash whether I add or remove the "i915.enable_execlists=0" kernel parameter.
Comment 1 Jan Kurik 2016-02-24 10:29:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Bogdan V Grosu 2017-04-04 04:43:23 EDT
Is there a fix on this bug or not? I am a bit confused here.
Comment 3 Daniel Brodie 2017-04-24 07:47:49 EDT
I get a similar crash, I think this is the bug with the fix? Is there any chance of getting it backported? This is happening almost daily for me.

https://bugs.freedesktop.org/show_bug.cgi?id=100516
Comment 4 Michael Lippens 2017-06-08 06:05:40 EDT
I also have this issue with kernel 4.11.3 on Fedora 25 with Wayland. I used to have this issue before, but could still circumvent it by going to tty and then restarting the dm. Now my pc freezes completely. Happens at least once a day.
Comment 5 Michael Lippens 2017-06-08 06:05:52 EDT
I also have this issue with kernel 4.11.3 on Fedora 25 with Wayland. I used to have this issue before, but could still circumvent it by going to tty and then restarting the dm. Now my pc freezes completely. Happens at least once a day.
Comment 6 Fedora End Of Life 2017-07-25 15:39:57 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-08-08 08:34:30 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.